import * as React from 'react';

import { ColorPalette, MarkdownHeader } from '@uifabric/example-app-base/lib/index2';

export class WXPNeutrals extends React.Component {
  public render() {
    return (
      <>
        <MarkdownHeader as="h3">Colorful Theme</MarkdownHeader>
        <ColorPalette
          colors={[
            {
              name: 'Gray180',
              hex: '#252423',
              code: {
                core: '$ms-color-gray180',
                react: 'NeutralColors.gray180',
              },
            },
            {
              name: 'Gray140',
              hex: '#484644',
              code: {
                core: '$ms-color-gray140',
                react: 'NeutralColors.gray140',
              },
            },
            {
              name: 'Gray130',
              hex: '#605e5c',
              code: {
                core: '$ms-color-gray130',
                react: 'NeutralColors.gray130',
              },
            },
            {
              name: 'Gray80',
              hex: '#b3b0ad',
              code: {
                core: '$ms-color-gray80',
                react: 'NeutralColors.gray80',
              },
            },
            {
              name: 'Gray60',
              hex: '#c8c6c4',
              code: {
                core: '$ms-color-gray60',
                react: 'NeutralColors.gray60',
              },
            },
            {
              name: 'Gray50',
              hex: '#d2d0ce',
              code: {
                core: '$ms-color-gray50',
                react: 'NeutralColors.gray50',
              },
            },
            {
              name: 'Gray40',
              hex: '#e1dfdd',
              code: {
                core: '$ms-color-gray40',
                react: 'NeutralColors.gray40',
              },
            },
            {
              name: 'Gray30',
              hex: '#edebe9',
              code: {
                core: '$ms-color-gray30',
                react: 'NeutralColors.gray30',
              },
            },
            {
              name: 'Gray20',
              hex: '#f3f2f1',
              code: {
                core: '$ms-color-gray20',
                react: 'NeutralColors.gray20',
              },
            },
            {
              name: 'White',
              hex: '#ffffff',
              code: {
                core: '$ms-color-white',
                react: 'NeutralColors.white',
              },
            },
          ]}
        />

        <MarkdownHeader as="h3">Dark Gray Theme</MarkdownHeader>
        <ColorPalette
          colors={[
            {
              name: 'Gray190',
              hex: '#201f1e',
              code: {
                core: '$ms-color-gray190',
                react: 'NeutralColors.gray190',
              },
            },
            {
              name: 'Gray180',
              hex: '#252423',
              code: {
                core: '$ms-color-gray180',
                react: 'NeutralColors.gray180',
              },
            },
            {
              name: 'Gray160',
              hex: '#323130',
              code: {
                core: '$ms-color-gray160',
                react: 'NeutralColors.gray160',
              },
            },
            {
              name: 'Gray140',
              hex: '#484644',
              code: {
                core: '$ms-color-gray140',
                react: 'NeutralColors.gray140',
              },
            },
            {
              name: 'Gray130',
              hex: '#605e5c',
              code: {
                core: '$ms-color-gray130',
                react: 'NeutralColors.gray130',
              },
            },
            {
              name: 'Gray120',
              hex: '#797775',
              code: {
                core: '$ms-color-gray120',
                react: 'NeutralColors.gray120',
              },
            },
            {
              name: 'Gray100',
              hex: '#979593',
              code: {
                core: '$ms-color-gray100',
                react: 'NeutralColors.gray100',
              },
            },
            {
              name: 'Gray90',
              hex: '#a19f9d',
              code: {
                core: '$ms-color-gray90',
                react: 'NeutralColors.gray90',
              },
            },
            {
              name: 'Gray70',
              hex: '#bebbb8',
              code: {
                core: '$ms-color-gray70',
                react: 'NeutralColors.gray70',
              },
            },
            {
              name: 'Gray60',
              hex: '#c8c6c4',
              code: {
                core: '$ms-color-gray60',
                react: 'NeutralColors.gray60',
              },
            },
            {
              name: 'Gray50',
              hex: '#d2d0ce',
              code: {
                core: '$ms-color-gray50',
                react: 'NeutralColors.gray50',
              },
            },
            {
              name: 'Gray30',
              hex: '#edebe9',
              code: {
                core: '$ms-color-gray30',
                react: 'NeutralColors.gray30',
              },
            },
            {
              name: 'Gray10',
              hex: '#faf9f8',
              code: {
                core: '$ms-color-gray10',
                react: 'NeutralColors.gray10',
              },
            },
          ]}
        />

        <MarkdownHeader as="h3">Black Theme</MarkdownHeader>
        <ColorPalette
          colors={[
            {
              name: 'Black',
              hex: '#000000',
              code: {
                core: '$ms-color-black',
                react: 'NeutralColors.black',
              },
            },
            {
              name: 'Gray190',
              hex: '#201f1e',
              code: {
                core: '$ms-color-gray190',
                react: 'NeutralColors.gray190',
              },
            },
            {
              name: 'Gray180',
              hex: '#252423',
              code: {
                core: '$ms-color-gray180',
                react: 'NeutralColors.gray180',
              },
            },
            {
              name: 'Gray170',
              hex: '#292827',
              code: {
                core: '$ms-color-gray170',
                react: 'NeutralColors.gray170',
              },
            },
            {
              name: 'Gray160',
              hex: '#323130',
              code: {
                core: '$ms-color-gray160',
                react: 'NeutralColors.gray160',
              },
            },
            {
              name: 'Gray150',
              hex: '#3b3a39',
              code: {
                core: '$ms-color-gray150',
                react: 'NeutralColors.gray150',
              },
            },
            {
              name: 'Gray140',
              hex: '#484644',
              code: {
                core: '$ms-color-gray140',
                react: 'NeutralColors.gray140',
              },
            },
            {
              name: 'Gray130',
              hex: '#605e5c',
              code: {
                core: '$ms-color-gray130',
                react: 'NeutralColors.gray130',
              },
            },
            {
              name: 'Gray100',
              hex: '#979593',
              code: {
                core: '$ms-color-gray100',
                react: 'NeutralColors.gray100',
              },
            },
            {
              name: 'Gray90',
              hex: '#a19f9d',
              code: {
                core: '$ms-color-gray90',
                react: 'NeutralColors.gray90',
              },
            },
            {
              name: 'Gray70',
              hex: '#bebbb8',
              code: {
                core: '$ms-color-gray70',
                react: 'NeutralColors.gray70',
              },
            },
            {
              name: 'Gray40',
              hex: '#e1dfdd',
              code: {
                core: '$ms-color-gray40',
                react: 'NeutralColors.gray40',
              },
            },
            {
              name: 'White',
              hex: '#ffffff',
              code: {
                core: '$ms-color-white',
                react: 'NeutralColors.white',
              },
            },
          ]}
        />
      </>
    );
  }
}
