import { TeamsSvgIconSpec } from '../types';

import accept from './accept';
import add from './add';
import addParticipant from './addParticipant';
import arrowUp from './arrowUp';
import arrowDown from './arrowDown';
import arrowLeft from './arrowLeft';
import arrowRight from './arrowRight';
import audioOff from './audioOff';
import ban from './ban';
import bell from './bell';
import bellMute from './bellMute';
import bold from './bold';
import bookmark from './bookmark';
import broadcast from './broadcast';
import broadcastViewFullscreen from './broadcastViewFullscreen';
import broadcastViewLeft from './broadcastViewLeft';
import bullets from './bullets';
import calendar from './calendar';
import call from './call';
import callBlocked from './callBlocked';
import callParking from './callParking';
import callControlCloseTray from './callControlCloseTray';
import callControlRelease from './callControlRelease';
import callControlRequest from './callControlRequest';
import callControlPresentNew from './callControlPresentNew';
import callControlStopPresentingNew from './callControlStopPresentingNew';
import callControlShare from './callControlShare';
import callDialpad from './callDialpad';
import callEnd from './callEnd';
import callPstn from './callPstn';
import callRecording from './callRecording';
import callVideo from './callVideo';
import callVideoOff from './callVideoOff';
import canvasAddPage from './canvasAddPage';
import callMissedLine from './callMissedLine';
import screencast from './screencast';
import chat from './chat';
import chevronDown from './chevronDown';
import chevronStart from './chevronStart';
import chevronEnd from './chevronEnd';
import chevronDownMedium from './chevronDownMedium';
import chevronRightMedium from './chevronRightMedium';
import clipboardCopiedTo from './clipboardCopiedTo';
import close from './close';
import closedCaptions from './closedCaptions';
import codeSnippet from './codeSnippet';
import collapse from './collapse';
import companion from './companion';
import download from './download';
import edit from './edit';
import email from './email';
import emoji from './emoji';
import error from './error';
import exclamationCircle from './exclamationCircle';
import exclamationTriangle from './exclamationTriangle';
import expand from './expand';
import eye from './eye';
import eyeFriendlier from './eyeFriendlier';
import eyeSlash from './eyeSlash';
import filesAftereffects from './filesAftereffects';
import filesCode from './filesCode';
import filesEmpty from './filesEmpty';
import filesExcel from './filesExcel';
import filesExcelBrand from './filesExcelBrand';
import filesFlash from './filesFlash';
import filesGif from './filesGif';
import filesIllustrator from './filesIllustrator';
import filesImage from './filesImage';
import filesIndesign from './filesIndesign';
import filesOneNote from './filesOneNote';
import filesOneNoteBrand from './filesOneNoteBrand';
import filesPdf from './filesPdf';
import filesPhotoshop from './filesPhotoshop';
import filesPowerPoint from './filesPowerPoint';
import filesPowerPointBrand from './filesPowerPointBrand';
import filesSketch from './filesSketch';
import filesSound from './filesSound';
import filesTxt from './filesTxt';
import filesUpload from './filesUpload';
import filesVideo from './filesVideo';
import filesVisio from './filesVisio';
import filesVisioBrand from './filesVisioBrand';
import filesWord from './filesWord';
import filesWordBrand from './filesWordBrand';
import filesZip from './filesZip';
import flag from './flag';
import fontColor from './fontColor';
import fontSize from './fontSize';
import format from './format';
import gallery from './gallery';
import giphy from './giphy';
import hand from './hand';
import highlight from './highlight';
import horizontalRule from './horizontalRule';
import iconCircle from './iconCircle';
import imageUnavailable from './image-unavailable';
import indent from './indent';
import info from './info';
import italic from './italic';
import leave from './leave';
import like from './like';
import link from './link';
import lightning from './lightning';
import lock from './lock';
import markAsUnread from './markAsUnread';
import meetingNew from './meetingNew';
import mention from './mention';
import menu from './menu';
import mergeCalls from './mergeCalls';
import messageSeen from './messageSeen';
import mic from './mic';
import micOff from './micOff';
import microsoftStream from './microsoftStream';
import more from './more';
import noPresenter from './noPresenter';
import notes from './notes';
import notificationsMuted from './notificationsMuted';
import numberList from './numberList';
import oneDrive from './oneDrive';
import outdent from './outdent';
import openOutside from './openOutside';
import panorama from './panorama';
import pause from './pause';
import pauseThick from './pauseThick';
import paperclip from './paperclip';
import participantRemove from './participantRemove';
import phoneClock from './phoneClock';
import phoneArrow from './phoneArrow';
import play from './play';
import plugs from './plugs';
import poll from './poll';
import presenceAvailable from './presenceAvailable';
import presenceStroke from './presenceStroke';
import presenter from './presenter';
import qna from './qna';
import questionCircle from './questionCircle';
import quote from './quote';
import readAloud from './read-aloud';
import raiseHand from './raiseHand';
import raiseHandColored from './raiseHandColored';
import raiseHandDisabled from './raiseHandDisabled';
import redbang from './redbang';
import redo from './redo';
import removeFormat from './removeFormat';
import reply from './reply';
import retry from './retry';
import robot from './robot';
import search from './search';
import send from './send';
import settings from './settings';
import settingsAudio from './settingsAudio';
import shareAlt from './shareAlt';
import shareLocation from './shareLocation';
import shareTo from './shareTo';
import skypeLogo from './skypeLogo';
import snooze from './snooze';
import speakerMute from './speakerMute';
import spotlight from './spotlight';
import star from './star';
import sticker from './sticker';
import strike from './strike';
import survey from './survey';
import survey20px from './survey20px';
import sync from './sync';
import tabs from './tabs';
import table from './table';
import tableAdd from './tableAdd';
import tableDelete from './tableDelete';
import tag from './tag';
import teamCreate from './teamCreate';
import teams from './teams';
import toDoList from './toDoList';
import thumbtack from './thumbtack';
import thumbtackSlash from './thumbtackSlash';
import translation from './translation';
import trashCan from './trashCan';
import triangleDown from './triangleDown';
import triangleRight from './triangleRight';
import triangleUp from './triangleUp';
import underline from './underline';
import undo from './undo';
import urgent from './urgent';
import userBlur from './userBlur';
import userFriends from './userFriends';
import userPhone from './userPhone';
import videoCameraEmphasis from './videoCameraEmphasis';
import volume from './volume';
import volumeDown from './volumeDown';
import volumeUp from './volumeUp';
import yammer from './yammer';
import windowMaximize from './windowMaximize';
import windowMinimize from './windowMinimize';
import windowRestore from './windowRestore';

export default {
  'icon-circle': iconCircle,
  accept,
  add,
  'arrow-up': arrowUp,
  'arrow-down': arrowDown,
  'arrow-left': arrowLeft,
  'arrow-right': arrowRight,
  'audio-off': audioOff,
  ban,
  bell,
  'bell-slash': bellMute,
  'bell-snooze': snooze,
  bold,
  bookmark,
  broadcast,
  'broadcast-view-fullscreen': broadcastViewFullscreen,
  'broadcast-view-left': broadcastViewLeft,
  bullets,
  calendar,
  call,
  'call-blocked': callBlocked,
  'call-dialpad': callDialpad,
  'call-end': callEnd,
  'call-parking': callParking,
  'call-video': callVideo,
  'call-video-off': callVideoOff,
  'call-control-release': callControlRelease,
  'call-control-request': callControlRequest,
  'call-control-close-tray': callControlCloseTray,
  'call-control-present-new': callControlPresentNew,
  'call-control-stop-presenting-new': callControlStopPresentingNew,
  'call-control-share': callControlShare,
  'call-missed-line': callMissedLine,
  'call-pstn': callPstn,
  'call-recording': callRecording,
  screencast,
  'canvas-add-page': canvasAddPage,
  chat,
  'chevron-down': chevronDown,
  'icon-chevron-start': chevronStart,
  'icon-chevron-end': chevronEnd,
  'chevron-down-medium': chevronDownMedium,
  'chevron-right-medium': chevronRightMedium,
  'clipboard-copied-to': clipboardCopiedTo,
  close,
  'closed-captions': closedCaptions,
  'code-snippet': codeSnippet,
  collapse,
  companion,
  'files-aftereffects': filesAftereffects,
  'files-code': filesCode,
  'files-empty': filesEmpty,
  'files-flash': filesFlash,
  'files-gif': filesGif,
  'files-illustrator': filesIllustrator,
  'files-image': filesImage,
  'files-indesign': filesIndesign,
  'files-pdf': filesPdf,
  'files-photoshop': filesPhotoshop,
  'files-sketch': filesSketch,
  'files-sound': filesSound,
  'files-txt': filesTxt,
  'files-upload': filesUpload,
  'files-video': filesVideo,
  'files-zip': filesZip,
  flag,
  download,
  edit,
  email,
  emoji,
  error,
  'exclamation-circle': exclamationCircle,
  'exclamation-triangle': exclamationTriangle,
  expand,
  eye,
  'eye-friendlier': eyeFriendlier,
  'eye-slash': eyeSlash,
  format,
  'font-color': fontColor,
  'font-size': fontSize,
  gallery,
  giphy,
  highlight,
  'horizontal-rule': horizontalRule,
  'image-unavailable': imageUnavailable,
  indent,
  info,
  italic,
  leave,
  like,
  lightning,
  link,
  lock,
  'mark-as-unread': markAsUnread,
  'meeting-new': meetingNew,
  mention,
  menu,
  'merge-calls': mergeCalls,
  'message-seen': messageSeen,
  mic,
  'no-presenter': noPresenter,
  notes,
  'speaker-mute': speakerMute,
  hand,
  'mic-off': micOff,
  more,
  'user-phone': userPhone,
  'notifications-muted': notificationsMuted,
  'number-list': numberList,
  'open-outside': openOutside,
  outdent,
  paperclip,
  'participant-add': addParticipant,
  'participant-remove': participantRemove,
  panorama,
  pause,
  'pause-thick': pauseThick,
  'phone-clock': phoneClock,
  'phone-arrow': phoneArrow,
  play,
  plugs,
  poll,
  'presence-available': presenceAvailable,
  'presence-stroke': presenceStroke,
  presenter,
  qna,
  'question-circle': questionCircle,
  quote,
  'raise-hand': raiseHand,
  'raise-hand-colored': raiseHandColored,
  'raise-hand-disabled': raiseHandDisabled,
  'read-aloud': readAloud,
  redbang,
  redo,
  'remove-format': removeFormat,
  reply,
  retry,
  robot,
  search,
  send,
  settings,
  'settings-audio': settingsAudio,
  'share-alt': shareAlt,
  'share-location': shareLocation,
  'share-to': shareTo,
  spotlight,
  star,
  sticker,
  strike,
  survey,
  'survey-20px': survey20px,
  sync,
  tabs,
  table,
  'table-add': tableAdd,
  'table-delete': tableDelete,
  tag,
  teams,
  thumbtack,
  'thumbtack-slash': thumbtackSlash,
  'to-do-list': toDoList,
  translation,
  'trash-can': trashCan,
  'triangle-down': triangleDown,
  'triangle-right': triangleRight,
  'triangle-up': triangleUp,
  'team-create': teamCreate,
  underline,
  undo,
  urgent,
  'user-blur': userBlur,
  'user-friends': userFriends,
  'video-camera-emphasis': videoCameraEmphasis,
  volume,
  'volume-down': volumeDown,
  'volume-up': volumeUp,
  'window-maximize': windowMaximize,
  'window-minimize': windowMinimize,
  'window-restore': windowRestore,

  // Office icons
  excel: filesExcel,
  'excel-color': filesExcelBrand,
  onedrive: oneDrive,
  onenote: filesOneNote,
  'onenote-color': filesOneNoteBrand,
  powerpoint: filesPowerPoint,
  'powerpoint-color': filesPowerPointBrand,
  'skype-logo': skypeLogo,
  'microsoft-stream': microsoftStream,
  word: filesWord,
  'word-color': filesWordBrand,
  yammer,
  visio: filesVisio,
  'visio-color': filesVisioBrand,
} as { [iconName: string]: TeamsSvgIconSpec };
